package de.dhsn.oop.ui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class NewListDialog extends JFrame implements ActionListener {
    private JTextField input = new JTextField("TODO");
    private JButton confirm = new JButton("Anlegen");
    private MainWindow mw;

    public NewListDialog(MainWindow mw){
        this.mw = mw;
        Container cp = getContentPane();
        setLayout(new BorderLayout());
        JLabel l = new JLabel("Name der Liste: ");
        cp.add(l, BorderLayout.LINE_START);

        input.setColumns(15);
        cp.add(input, BorderLayout.LINE_END);
        confirm.addActionListener(this);
        cp.add(confirm, BorderLayout.SOUTH);
        pack();
        setVisible(true);
    }

    /**
     * save futton handler calling parent view update function and then closing window
     * @param e the event to be processed
     */
    @Override
    public void actionPerformed(ActionEvent e) {
        mw.nldCallback(input.getText().strip());
        setVisible(false);
        dispose();
    }
}
